/*=========================================================================
  
  Authors: Daniel Aguilera, Thierry Carrard, Claire Guilbaud
  
  Copyright (c) CEA/DIF (Comissariat a l'Energie Atomique, Direction Ile de France) 
                BP12 91680 Bruyeres Le Chatel 
                France 
  All rights reserved.
  
     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.
  
=========================================================================*/


#ifndef __VTKVRPN_DIAL_H
#define __VTKVRPN_DIAL_H

#include "vtkVRPNRemoteObject.h"
#include <vrpn_Dial.h>
#include <vtkSetGet.h>

typedef vtkVRPNRemoteObject<vrpn_Dial_Remote> vtkVRPNRemoteObject_vrpn_Dial_Remote;

class VTK_COMMON_EXPORT vtkVRPNDial : public vtkVRPNRemoteObject_vrpn_Dial_Remote
{
public:
	vtkTypeRevisionMacro(vtkVRPNDial,vtkVRPNRemoteObject_vrpn_Dial_Remote);
	static vtkVRPNDial* New();

	void RegisterHandlers();
	void UnRegisterHandlers();
};

#endif

