/*=========================================================================
  
  Authors: Daniel Aguilera, Thierry Carrard, Claire Guilbaud
  
  Copyright (c) CEA/DIF (Comissariat a l'Energie Atomique, Direction Ile de France) 
                BP12 91680 Bruyeres Le Chatel 
                France 
  All rights reserved.
  
     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.
  
=========================================================================*/


#ifndef __VTKVRPN_SOUND_H
#define __VTKVRPN_SOUND_H

#include "vtkVRPNRemoteObject.h"
#include <vrpn_Sound.h>
#include <vtkSetGet.h>

// for uniformity only
typedef vrpn_Sound_Client vrpn_Sound_Remote;

typedef vtkVRPNRemoteObject<vrpn_Sound_Remote> vtkVRPNRemoteObject_vrpn_Sound_Remote;

class VTK_COMMON_EXPORT vtkVRPNSound : public vtkVRPNRemoteObject_vrpn_Sound_Remote
{
public:
	vtkTypeRevisionMacro(vtkVRPNSound,vtkVRPNRemoteObject_vrpn_Sound_Remote);
	static vtkVRPNSound* New();
};

#endif

