/*=========================================================================
  
  Authors: Daniel Aguilera, Thierry Carrard, Claire Guilbaud
  
  Copyright (c) CEA/DIF (Comissariat a l'Energie Atomique, Direction Ile de France) 
                BP12 91680 Bruyeres Le Chatel 
                France 
  All rights reserved.
  
     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.
  
=========================================================================*/


#ifndef __VTKVRPN_ANALOG_OUTPUT_H
#define __VTKVRPN_ANALOG_OUTPUT_H

#include "vtkVRPNRemoteObject.h"
#include "vtkVRPNCommand.h"
#include <vrpn_Analog_Output.h>
#include <vtkSetGet.h>

typedef vtkVRPNRemoteObject<vrpn_Analog_Output_Remote> vtkVRPNRemoteObject_vrpn_Analog_Output_Remote;

class VTK_COMMON_EXPORT vtkVRPNAnalog_Output: public vtkVRPNRemoteObject_vrpn_Analog_Output_Remote
{
public:
	vtkTypeRevisionMacro(vtkVRPNAnalog_Output,vtkVRPNRemoteObject_vrpn_Analog_Output_Remote);
	static vtkVRPNAnalog_Output* New();

protected:
	void ProcessEvent(vtkObject* caller, unsigned long eventId, void *callData );
};

#endif

