/*=========================================================================
  
  Authors: Daniel Aguilera, Thierry Carrard, Claire Guilbaud
  
  Copyright (c) CEA/DIF (Comissariat a l'Energie Atomique, Direction Ile de France) 
                BP12 91680 Bruyeres Le Chatel 
                France 
  All rights reserved.
  
     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.
  
=========================================================================*/


#ifndef __VTKVRPN_TRACKER_H
#define __VTKVRPN_TRACKER_H

#include "vtkVRPNRemoteObject.h"
#include "vtkVRPNCommand.h"
#include <vrpn_Tracker.h>
#include <vtkSetGet.h>
#include <string>

typedef vtkVRPNRemoteObject<vrpn_Tracker_Remote> vtkVRPNRemoteObject_vrpn_Tracker_Remote;

class VTK_COMMON_EXPORT vtkVRPNTracker : public vtkVRPNRemoteObject_vrpn_Tracker_Remote
{
public:
	vtkTypeRevisionMacro(vtkVRPNTracker,vtkVRPNRemoteObject_vrpn_Tracker_Remote);
	static vtkVRPNTracker* New();

	//void ConnectTo(const std::string& name);
	void RegisterHandlers();
	void UnRegisterHandlers();
};

#endif

